> For the complete documentation index, see [llms.txt](https://docs.movel.ai/new-collection/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.movel.ai/new-collection/fan-ti-zhong-wen/seirios-rns/installation-and-integration-1/pre-installation-checklist/ying-ti-jian-cha/14-zhi-xian-su-du-xiao-zhun-jian-cha.md).

# (1/4) 直線速度校準檢查

{% hint style="warning" %}
需要測試 0.1 - 0.5 m/s 的最小速度。 此外，手動檢查機器人，是否正確覆蓋距離。 我們建議可以錄製影片，以解決可能出現的任何問題。
{% endhint %}

1. 請開啟新的終端窗口，執行以下指令 : `rostopic pub /cmd_vel geometry_msgs/Twist "linear: x: 0.0 y: 0.0 z: 0.0 angular: x: 0.0 y: 0.0 z: 0.0"`
2. 更改此數值 `linear: x:` 為0.1-0.5 ，因為我們只想讓機器人直線向前移動。 將所有其他值保留為 0.0。
3. 測量機器人移動的距離。 並記錄從機器人開始移動到機器人停止的時間。 通過將距離除以時間，來計算速度。
4. 檢查您計算的速度，是否與您為線性 x 給出的值匹配。
5. 如果數值不相符合，請重新校準您的車輪。

或者，您可以使用 `rosrun telelop_twist_keyboard teleop_twist_keyboard.py`。 同樣地，給它一個介於 0.1-0.5 之間的直線速度。 然後重複上面的步驟 3 - 5。

請注意:

* 如果您的機器人是非完整性約束的，它應該不能橫向滑動。 y 的數值應該是 0.0。
* 如果您的機器人不具備飛行能力，則 z 應為 0.0。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.movel.ai/new-collection/fan-ti-zhong-wen/seirios-rns/installation-and-integration-1/pre-installation-checklist/ying-ti-jian-cha/14-zhi-xian-su-du-xiao-zhun-jian-cha.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
